Subject: [rohc] Regarding RoHC version2 Profiles

From: "Rajani A" <[email-masked]>
Date: Thu, 11 Sep 2008 11:23:40 +0530

Hi ,

          I have some doubts regarding RoHC Version2 Profiles [RFC 5225].
I request you to clarify me on the below list.

1. Compressor State Machines
2. RoHC Modes of Operation
3. Encoding Techniques. i.e., RFC 5225 says "
inferred_ip_v4_header_checksum" as an encoding method.
    But it is the same for RFC 3095 specified profiles, where it is
implicitly done, not as encoding Methods.
    This is same for UDP Length etc.

4. Does rfc 5225 incorporates any new encoding methods compared to rfc
3095??? If not, what are changes in Version2 then???

5. Can we implement version2 profiles without any dependency on 3095
profiles???

Thanks & Regards,
Rajani

The information contained in this electronic message and any attachments to this message are intended for the exclusive use of the addressee(s) and may contain proprietary, confidential or privileged information. If you are not the intended recipient, you should not disseminate, distribute or copy this e-mail. Please notify the sender immediately and destroy all copies of this message and any attachments contained in it.
_______________________________________________
Rohc mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/rohc

---

From: "Kristofer Sandlund" <[email-masked]>
Date: Thu, 11 Sep 2008 08:36:25 +0200

Hi,

I recommend that you actually read RFC5225. The answers to your
questions will become apparent when you do.
Your first two questions were even answered on this list as late as 
yesterday, so please read those answers as well.

/k

Rajani A wrote on :

> Hi ,
> 
>           I have some doubts regarding RoHC Version2 Profiles [RFC
> 5225]. I request you to clarify me on the below list.
> 
>     But it is the same for RFC 3095 specified profiles, where
> it is implicitly done, not as encoding Methods.
> 4. Does rfc 5225 incorporates any new encoding methods
> compared to rfc 3095??? If not, what are changes in Version2 then???
> 
> 5. Can we implement version2 profiles without any dependency
> on 3095 profiles???
> 
> 
> 
> Thanks & Regards,
> Rajani
> 
> The information contained in this electronic message and any
> attachments to this message are intended for the exclusive
> use of the addressee(s) and may contain proprietary,
> confidential or privileged information. If you are not the
> intended recipient, you should not disseminate, distribute or
> copy this e-mail. Please notify the sender immediately and
> destroy all copies of this message and any attachments
> contained in it.

---

From: "Ghyslain Pelletier" <[email-masked]>
Date: Thu, 11 Sep 2008 10:23:54 +0200

Hello,
 
My wish is that IETF mailing lists would not be viewed as a support
function to _educate_ about existing RFCs. My view is that it is a forum
to discuss specific technical _issues_ and/or potential _unclarities_
with existing specifications, and to develop new solutions to agreed and
understood problems. Meaning that making one's homework properly before
sending requests to the list should be a given to everyone, e.g. Reading
RFCs.
 
It is also possible to browse through the list archive to get a view of
the discussions that led to different decisions. Otherwise, the RFC
should contain all the needed information.
 
So, by sending questions for which the answers are clearly readily
available in the concerned RFC or in previous emails to this list, you
take the risk of seeing your request left unanswered, or to get a
response in the genre "please read the manual carefully before pressing
the red blinking button".
 
In this particular case, questions 1 and 2 were answered yesterday -
there are no compressor state machines and no modes of operation
explicitely defined in RFC5225, questions 3-4 can be deduced from the
table of contents of the respective RFCs, and for question 5 -- I can
mention that having no dependency between RFC3095 and RFC5225 (which
depends only on RFC4995) was one of the editorial objective of RFC5225
and this is clearly stated at the beginning of RFC5225.
 
Regards,
 
///Ghyslain

________________________________

	From: [email-masked] [mailto:[email-masked]] On
Behalf Of Rajani A
	Sent: den 11 september 2008 07:54
	To: [email-masked]
	Subject: [rohc] Regarding RoHC version2 Profiles

	Hi ,
	 
	          I have some doubts regarding RoHC Version2 Profiles
[RFC 5225].
	I request you to clarify me on the below list.
	 
	1. Compressor State Machines
	2. RoHC Modes of Operation
	3. Encoding Techniques. i.e., RFC 5225 says "
inferred_ip_v4_header_checksum" as an encoding method.
	    But it is the same for RFC 3095 specified profiles, where it
is implicitly done, not as encoding Methods.
	    This is same for UDP Length etc.
	 
	4. Does rfc 5225 incorporates any new encoding methods compared
to rfc 3095??? If not, what are changes in Version2 then???
	 
	5. Can we implement version2 profiles without any dependency on
3095 profiles???

	Thanks & Regards,
	Rajani

	The information contained in this electronic message and any
attachments to this message are intended for the exclusive use of the
addressee(s) and may contain proprietary, confidential or privileged
information. If you are not the intended recipient, you should not
disseminate, distribute or copy this e-mail. Please notify the sender
immediately and destroy all copies of this message and any attachments
contained in it.